Get SpamAssassin Working with updates

A short article with links and ‘needs’ to get Spamassassin working with SARE updates, etc.

Run the following and fix errors:

spamassassin -D --lint 2>&1 | grep -i fail

– Used ‘yum install perl-Razor-Agent’ to resolve the Razor2::Client::Agent dependancy
– Had to build Net::Ident by hand

Run sa-update once to populate the default rules. They should be in /var/lib/spamassassin in a folder with the version of SA you are running.

Then you can follow the directions here http://saupdates.openprotect.com/ to configure you installation to use the extra SARE rules.

Comments are closed.